Investments · Access & permissions
Boya API
Bills · Manage
Bills · Payments
Bills · Approval workflows
Bills · Budgets & setup
Bills · Attachments
payments
approvals
fx
Expenses · Retrieve
Expenses · Review & approvals
Expenses · Reports
Expenses · Exports
Cards · Manage
Cards · Controls
Cards · Single-use
Cards · Physical cards
Cards · Authorization
subscriptions
tags
transactions
accounts
categories
taxes
vendors
customers
employees
teams
Investments · Portfolio & accounts
Investments · Fund movements
business-policies
Wallet policies · Policies
Wallet policies · Permissions
Wallet policies · Access checks
Wallet policies · Audit
roles
audit-trail
🔒 Private label — contact sales. Requires a private-label entitlement on your API client.
Treasury operators allowed to transfer funds from this account
Security
oauth2ClientCredentials(Required scopes: investments:read)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/investments/accounts/{fundAccountId}/permissions
- Productionhttps://api.boyahq.com/v2/investments/accounts/{fundAccountId}/permissions
- Sandboxhttps://sandbox.api.boyahq.com/v2/investments/accounts/{fundAccountId}/permissions
curl -i -X GET \
'https://developer.boyahq.com/_mock/v2/openapi/investments/accounts/{fundAccountId}/permissions' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Idempotency-Key: string' \
-H 'business_id: string' \
-H 'org_wallet_ref: string'Employee ids permitted to transfer funds from this account (treasury operators).
Example:
[ "64f0a1b2c3d4e5f600112233", "64f0a1b2c3d4e5f600445566" ]
Response
{ "fund_account_id": "fa_01HXYZ...", "investment_wallet_id": "I622957", "treasury_operators": [ "64f0a1b2c3d4e5f600112233", "64f0a1b2c3d4e5f600445566" ], "grants": [ { … } ] }